<!-- <mat-toolbar matDialogTitle class="{{secondColorBrand}} m-0">
    <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
        <span class="title dialog-title h1">Corretor</span>

        <button mat-icon-button mat-dialog-close>
            <mat-icon>close</mat-icon>
        </button>
    </mat-toolbar-row>
</mat-toolbar>
<br>
<mat-dialog-content>

  <form [formGroup]="dataForm" novalidate>
    
    <div class="panel">
        <div class="panel-title">
          <span><mat-icon>assignment_ind</mat-icon></span>
          <span>&nbsp;Dados Cadastrais</span>
        </div>
        <div class="panel-content">

          <div fxLayout="row" fxLayoutAlign="start center">
            <div fxFlex>
              <mat-button-toggle-group  formControlName="personType">
                <mat-button-toggle value="COMPANY" matTooltip="Pessoa Jurídica">
                    <mat-icon>business</mat-icon>
                </mat-button-toggle>                  
                <mat-button-toggle value="PERSON" matTooltip="Pessoa Física">
                    <mat-icon>person</mat-icon>
                </mat-button-toggle>
              </mat-button-toggle-group>
            </div>
          </div>

          <br>

          <div [hidden]="dataForm.value.personType == 'COMPANY'" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
              <mat-form-field fxFlex="100">
                <input matInput placeholder="Nome" required formControlName="name">
              </mat-form-field>
          </div>

          <div [hidden]="dataForm.value.personType == 'PERSON'" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
              <mat-form-field fxFlex="100">
                <input matInput placeholder="Razão Social" formControlName="tradingName" [required]="dataForm.value.personType == 'COMPANY'">
              </mat-form-field>
          </div>              

          <div [hidden]="dataForm.value.personType == 'PERSON'" fxLayout="row" fxLayoutAlign="start center">
            <mat-form-field fxFlex="100">
              <input matInput placeholder="CNPJ" formControlName="registrationNumberCompany" [textMask]="{mask: cnpjMask}" [required]="dataForm.value.personType == 'COMPANY'">
            </mat-form-field>
          </div>

          <div [hidden]="dataForm.value.personType == 'COMPANY'" fxLayout="row" fxLayoutAlign="start center">
            <mat-form-field fxFlex="100">
              <input matInput placeholder="CPF" formControlName="registrationNumberPerson" [textMask]="{mask: cpfMask}" [required]="dataForm.value.personType == 'PERSON'">
            </mat-form-field>
          </div>

          <div [hidden]="dataForm.value.personType == 'PERSON'" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
              <mat-form-field fxFlex="100">
                <input matInput placeholder="Contato" required formControlName="contactPerson">
              </mat-form-field>
          </div>           

          <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
              <mat-form-field fxFlex="100">
                <input matInput placeholder="E-mail" required formControlName="email">
              </mat-form-field>
          </div>
          
        </div>
       

    </div>
    
    
    <mat-dialog-actions position="end">
      <button mat-raised-button color="warn" (click)="delete()" [hidden]="isNewBroker">Excluir</button>
      <button mat-raised-button color="primary" (click)="save(dataForm.value)">Salvar</button>
    </mat-dialog-actions>
  </form>
  <br>
  <br>


</mat-dialog-content> -->